<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="WARN">
	<Appenders>
		<File name="updatelog" fileName="update.log" append="true">
			<PatternLayout>
				<Pattern>%n%-5p [%d{DEFAULT}] (%F:%L) - %-40m</Pattern>
			</PatternLayout>
		</File>
		
		
		<RollingFile name="appletlog" fileName="logs/app.log"
                 filePattern="logs/app-%i.log">
			<PatternLayout>
				<Pattern>%n%-5p [%d{DEFAULT}] (%F:%L) - %-40m</Pattern>
			</PatternLayout>
			<Policies>
				<SizeBasedTriggeringPolicy size="2 MB"/>
			</Policies>
			<DefaultRolloverStrategy max="5"/>
		</RollingFile>
	</Appenders>
	<Loggers>
	
	<logger name="com.knuddels.kjupdate" additivity="false" level="debug">
	   
		<appender-ref ref="updatelog" />
	</logger>
	
		<Root level="info">
			<AppenderRef ref="appletlog"/>
		</Root>
	</Loggers>
</Configuration>